#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(ui->bpAugmente,SIGNAL(clicked(bool)),&c,SLOT(augmente()));
    connect(&l1,SIGNAL(nouvelEtat(int)),this,SLOT(afficheLampe1(int)));
    connect(&l2,SIGNAL(nouvelEtat(int)),this,SLOT(afficheLampe2(int)));
    connect(&l3,SIGNAL(nouvelEtat(int)),this,SLOT(afficheLampe3(int)));
    c.reset();
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::afficheLampe1(int etat)
{
    if (etat) ui->bpLampe1->setStyleSheet("background-color: red;");
         else ui->bpLampe1->setStyleSheet("background-color: black;");
}

void MainWindow::afficheLampe2(int etat)
{
    if (etat) ui->bpLampe2->setStyleSheet("background-color: red;");
         else ui->bpLampe2->setStyleSheet("background-color: black;");
}

void MainWindow::afficheLampe3(int etat)
{
    if (etat) ui->bpLampe3->setStyleSheet("background-color: red;");
         else ui->bpLampe3->setStyleSheet("background-color: black;");
}
